/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type * as http from 'node:http';
import type { AddressInfo } from 'node:net';
import type { AstroInlineConfig, AstroSettings } from '../../@types/astro';
import nodeFs from 'node:fs';
import * as vite from 'vite';
import type { LogOptions } from '../logger/core.js';
export interface Container {
    fs: typeof nodeFs;
    logging: LogOptions;
    settings: AstroSettings;
    viteServer: vite.ViteDevServer;
    inlineConfig: AstroInlineConfig;
    restartInFlight: boolean;
    handle: (req: http.IncomingMessage, res: http.ServerResponse) => void;
    close: () => Promise<void>;
}
export interface CreateContainerParams {
    logging: LogOptions;
    settings: AstroSettings;
    inlineConfig?: AstroInlineConfig;
    isRestart?: boolean;
    fs?: typeof nodeFs;
}
export declare function createContainer({ isRestart, logging, inlineConfig, settings, fs, }: CreateContainerParams): Promise<Container>;
export declare function startContainer({ settings, viteServer, logging, }: Container): Promise<AddressInfo>;
