function slide({
  duration
} = {}) {
  return {
    forwards: {
      old: [
        {
          name: "astroFadeOut",
          duration: duration ?? "90ms",
          easing: "cubic-bezier(0.4, 0, 1, 1)",
          fillMode: "both"
        },
        {
          name: "astroSlideToLeft",
          duration: duration ?? "300ms",
          easing: "cubic-bezier(0.4, 0, 0.2, 1)",
          fillMode: "both"
        }
      ],
      new: [
        {
          name: "astroFadeIn",
          duration: duration ?? "210ms",
          easing: "cubic-bezier(0, 0, 0.2, 1)",
          delay: "90ms",
          fillMode: "both"
        },
        {
          name: "astroSlideFromRight",
          duration: duration ?? "300ms",
          easing: "cubic-bezier(0.4, 0, 0.2, 1)",
          fillMode: "both"
        }
      ]
    },
    backwards: {
      old: [{ name: "astroFadeOut" }, { name: "astroSlideToRight" }],
      new: [{ name: "astroFadeIn" }, { name: "astroSlideFromLeft" }]
    }
  };
}
function fade({
  duration
} = {}) {
  const anim = {
    old: {
      name: "astroFadeInOut",
      duration: duration ?? "0.2s",
      easing: "linear",
      fillMode: "forwards"
    },
    new: {
      name: "astroFadeInOut",
      duration: duration ?? "0.3s",
      easing: "linear",
      fillMode: "backwards"
    }
  };
  return {
    forwards: anim,
    backwards: anim
  };
}
export {
  fade,
  slide
};
