import { Pipeline } from '../core/pipeline.js';
import type { AstroConfig, AstroSettings } from '../@types/astro';
import type { ModuleLoader } from '../core/module-loader';
import type { Environment } from '../core/render';
import type { SSRManifest } from '../@types/astro';
import type { LogOptions } from '../core/logger/core';
import { Logger } from '../core/logger/core.js';
export default class DevPipeline extends Pipeline {
    #private;
    constructor({ manifest, logging, settings, loader, }: {
        manifest: SSRManifest;
        logging: LogOptions;
        settings: AstroSettings;
        loader: ModuleLoader;
    });
    clearRouteCache(): void;
    getSettings(): Readonly<AstroSettings>;
    getConfig(): Readonly<AstroConfig>;
    getModuleLoader(): Readonly<ModuleLoader>;
    get logger(): Readonly<Logger>;
    loadRenderers(): Promise<void>;
    static createDevelopmentEnvironment(manifest: SSRManifest, settings: AstroSettings, logging: LogOptions, loader: ModuleLoader): Environment;
}
