import { createEnvironment } from "../core/render/index.js";
import { RouteCache } from "../core/render/route-cache.js";
import { isServerLikeOutput } from "../prerender/utils.js";
import { createResolve } from "./resolve.js";
function createDevelopmentEnvironment(manifest, settings, logging, loader) {
  const mode = "development";
  return createEnvironment({
    adapterName: manifest.adapterName,
    logging,
    mode,
    // This will be overridden in the dev server
    renderers: [],
    clientDirectives: manifest.clientDirectives,
    compressHTML: manifest.compressHTML,
    resolve: createResolve(loader, settings.config.root),
    routeCache: new RouteCache(logging, mode),
    site: manifest.site,
    ssr: isServerLikeOutput(settings.config),
    streaming: true
  });
}
export {
  createDevelopmentEnvironment
};
